> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download full sync snapshot for external event subscription



## OpenAPI

````yaml /api-reference/membrane-api.json post /external-event-subscriptions/{id}/download-full-sync-snapshot
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-event-subscriptions/{id}/download-full-sync-snapshot:
    post:
      tags:
        - ExternalEventSubscriptions
      summary: Download full sync snapshot for external event subscription
      operationId: downloadExternalEventSubscriptionFullSyncSnapshot
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema: {}
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````